function [ys,check] = nonlinear_steadystate(junk,ys)

global M_ params paramlist param_switch sensitivity_switch paramfile_name

% import parameters
%nparams = size(M_.param_names,1);
%for icount = 1:nparams
%    if ~isnan(M_.params(icount))
%        eval([M_.param_names(icount,:),'=M_.params(icount);'])
%    end
%end

check = 0;

if sensitivity_switch
eval(paramfile_name);
else
paramfile_assembled;
end

% change country 1 parameters 
% without changing country 2 parameters if 
% block of code is inserted after def_parm_assembled
if param_switch
    nparams = length(params);
    
    % update parameters in M_
    for i=1:nparams
        eval([paramlist(i,:),'=params(i);'])
    end
end


def_parm_assembled;

steadyoilmodJRstickycombodynarenonlinear_c1
steadyoilmodJRstickycombodynarenonlinear_c2
assignsteadyoilmodJRstickycombodynarenonlinear


% export parameters
nparams = size(M_.param_names,1);
for icount = 1:nparams
    eval(['M_.params(icount) = ',M_.param_names(icount,:),';'])
    %eval(['ys(' int2str(icount) ') = 0;']);
end


% transfer parameters to Dynare.
% send chip to the parameter list
%M_.params(strmatch('chip',M_.param_names,'exact')) = chip;
%M_.params(strmatch('pbss',M_.param_names,'exact')) = pbss;
%M_.params(strmatch('puss',M_.param_names,'exact')) = puss;
%M_.params(strmatch('pcss',M_.param_names,'exact')) = pcss;



c1welf = c1welfss;
c2welf = c2welfss;
c1lambdaq = log(c1lambdaqss);
c1q = log(c1qss);
c1i = log(c1iss);
c1k = log(c1kss);
c1c = log(c1css);
c1cne = log(c1cness);
c1cd = log(c1cdss);
c1mc = log(c1mcss);
c1oc = log(c1ocss);
c1id = log(c1idss);
c1rpipd = log(c1rpipdss);
c1mi = log(c1miss);
c1v = log(c1vss);
c1y = log(c1yss);
c1rk = log(c1rkss);
c1l = log(c1lss);
c1o = log(c1oss);
c1rrs = c1rrsss;
c1m = log(c1mss);
c1tbal = c1tbalss;
c1gtbal = c1gtbalss;
c1g = log(c1gss);
c1shockgy = c1shockgyss;
c1op = log(c1opss);
c1os = log(c1osss);
c1ow = log(c1owss);
c1rpopd = log(c1rpopdss);
c1oi = log(c1oiss);
c1zc = c1zcss;
c1zclag = c1zclagss;
c1zi = c1ziss;
c1yo = c1yoss;
c1lagyo = c1lagyoss;
c1dyo = c1dyoss;
c1muoc = c1muocss;
c1lagmuoc = c1lagmuocss;
c1muc = c1mucss;
c1omegacm = c1omegacmss;
c1lagomegacm = c1lagomegacmss;
c1omegaim = c1omegaimss;
c2lambdaq = log(c2lambdaqss);
c2q = log(c2qss);
c2i = log(c2iss);
c2k = log(c2kss);
c2c = log(c2css);
c2cne = log(c2cness);
c2cd = log(c2cdss);
c2mc = log(c2mcss);
c2oc = log(c2ocss);
c2id = log(c2idss);
c2rpipd = log(c2rpipdss);
c2mi = log(c2miss);
c2v = log(c2vss);
c2y = log(c2yss);
c2rk = log(c2rkss);
c2l = log(c2lss);
c2o = log(c2oss);
c2rrs = c2rrsss;
c2m = log(c2mss);
c2tbal = c2tbalss;
c2gtbal = c2gtbalss;
c2g = log(c2gss);
c2shockgy = c2shockgyss;
c2op = log(c2opss);
c2os = log(c2osss);
c2ow = log(c2owss);
c2rpopd = log(c2rpopdss);
c2oi = log(c2oiss);
c2zc = c2zcss;
c2zclag = c2zclagss;
c2zi = c2ziss;
c2yo = c2yoss;
c2lagyo = c2lagyoss;
c2dyo = c2dyoss;
c2muoc = c2muocss;
c2lagmuoc = c2lagmuocss;
c2muc = c2mucss;
c2omegacm = c2omegacmss;
c2lagomegacm = c2lagomegacmss;
c2omegaim = c2omegaimss;
c1rer = log(c1rerss);
c2rpwopd = log(c2rpwopdss);
c1rpwopd = log(c1rpwopdss);
c1b = c1bss;
c1rpmcpd = log(c1rpmcpdss);
c2rpmcpd = log(c2rpmcpdss);
c1z = c1zss;
c2z = c2zss;
c1zw = c1zwss;
c1zwlag = c1zwlagss;
c1muo = c1muoss;
c2muo = c2muoss;
c1muow = c1muowss;
c1muowlag = c1muowlagss;
c1rpmipd = log(c1rpmipdss);
c1x = log(c1xss);
c2rpmipd = log(c2rpmipdss);
c2x = log(c2xss);
c2w = log(c2wss);
c1w = log(c1wss);
c2oy = log(c2oyss);
c1oy = log(c1oyss);
c2thetapvar = c2thetapvarss;
c1thetapvar = c1thetapvarss;
c2wdes = log(c2wdesss);
c1wdes = log(c1wdesss);
c2thetawvar = c2thetawvarss;
c1thetawvar = c1thetawvarss;
c1lambdaq_pot = log(c1lambdaq_potss);
c1q_pot = log(c1q_potss);
c1i_pot = log(c1i_potss);
c1k_pot = log(c1k_potss);
c1c_pot = log(c1c_potss);
c1cne_pot = log(c1cne_potss);
c1cd_pot = log(c1cd_potss);
c1mc_pot = log(c1mc_potss);
c1oc_pot = log(c1oc_potss);
c1id_pot = log(c1id_potss);
c1rpipd_pot = log(c1rpipd_potss);
c1mi_pot = log(c1mi_potss);
c1v_pot = log(c1v_potss);
c1y_pot = log(c1y_potss);
c1rk_pot = log(c1rk_potss);
c1l_pot = log(c1l_potss);
c1o_pot = log(c1o_potss);
c1rrs_pot = c1rrs_potss;
c1m_pot = log(c1m_potss);
c1tbal_pot = c1tbal_potss;
c1g_pot = log(c1g_potss);
c1op_pot = log(c1op_potss);
c1os_pot = log(c1os_potss);
c1ow_pot = log(c1ow_potss);
c1rpopd_pot = log(c1rpopd_potss);
c1oi_pot = log(c1oi_potss);
c2lambdaq_pot = log(c2lambdaq_potss);
c2q_pot = log(c2q_potss);
c2i_pot = log(c2i_potss);
c2k_pot = log(c2k_potss);
c2c_pot = log(c2c_potss);
c2cne_pot = log(c2cne_potss);
c2cd_pot = log(c2cd_potss);
c2mc_pot = log(c2mc_potss);
c2oc_pot = log(c2oc_potss);
c2id_pot = log(c2id_potss);
c2rpipd_pot = log(c2rpipd_potss);
c2mi_pot = log(c2mi_potss);
c2v_pot = log(c2v_potss);
c2y_pot = log(c2y_potss);
c2rk_pot = log(c2rk_potss);
c2l_pot = log(c2l_potss);
c2o_pot = log(c2o_potss);
c2rrs_pot = c2rrs_potss;
c2m_pot = log(c2m_potss);
c2tbal_pot = c2tbal_potss;
c2g_pot = log(c2g_potss);
c2op_pot = log(c2op_potss);
c2os_pot = log(c2os_potss);
c2ow_pot = log(c2ow_potss);
c2rpopd_pot = log(c2rpopd_potss);
c2oi_pot = log(c2oi_potss);
c1rer_pot = log(c1rer_potss);
c2rpwopd_pot = log(c2rpwopd_potss);
c1rpwopd_pot = log(c1rpwopd_potss);
c1b_pot = c1b_potss;
c1rpmcpd_pot = log(c1rpmcpd_potss);
c2rpmcpd_pot = log(c2rpmcpd_potss);
c1rpmipd_pot = log(c1rpmipd_potss);
c1x_pot = log(c1x_potss);
c2rpmipd_pot = log(c2rpmipd_potss);
c2x_pot = log(c2x_potss);
c2w_pot = log(c2w_potss);
c1w_pot = log(c1w_potss);
c2oy_pot = log(c2oy_potss);
c1oy_pot = log(c1oy_potss);
c2rmcpd_pot = log(c2rmcpd_potss);
c1rmcpd_pot = log(c1rmcpd_potss);
c2wdes_pot = log(c2wdes_potss);
c1wdes_pot = log(c1wdes_potss);
c2rpcpd_pot = log(c2rpcpd_potss);
c1rpcpd_pot = log(c1rpcpd_potss);
c2rmcpd = log(c2rmcpdss);
c1rmcpd = log(c1rmcpdss);
c2rpcpd = log(c2rpcpdss);
c1rpcpd = log(c1rpcpdss);
c2dpd = c2dpdss;
c1dpd = c1dpdss;


c2dcore = log(c2pistar);
c1dcore = log(c1pistar);
c1dhead = log(c1pistar);
c1dpwo = log(c1grmuzoss)+log(c1pistar);
c2rpnepd = log(c2rmcpdss);
c1rpnepd = log(c1rmcpdss);

c1rs = c1rsss;
c2rs = c2rsss;
c1pitar = c1pitarss;
c2pitar = c2pitarss;

c1hw = log((1+c1thetaw)/c1thetaw*c1lss/(1-c1xiw*c1beta));
c1gw = log((1+c1tauw)/c1thetaw*c1lss/(1-c1xiw*c1beta));
c1wstar = log(c1wss);
c1omegabar = c1pistar*c1grmuzss;
c1omega = c1pistar*c1grmuzss;

c2hw = log((1+c2thetaw)/c2thetaw*c2lss/(1-c2xiw*c2beta));
c2gw = log((1+c2tauw)/c2thetaw*c2lss/(1-c2xiw*c2beta));
c2wstar = log(c2wss);
c2omegabar = c2pistar*c2grmuzss;
c2omega = c2pistar*c2grmuzss;

c1hp = log(((1+c1thetap)/c1thetap*(c1rmcpdss)*(c1yss)/(1-c1xip*c1beta)));
c1gp = log(((1+c1taup)/c1thetap*(c1yss)/(1-c1xip*c1beta)));
c1pid = c1pistar;
c1pstar = log(1);
c1pidbar = c1pistar;

c2hp = log(((1+c2thetap)/c2thetap*(c2rmcpdss)*(c2yss)/(1-c2xip*c2beta)));
c2gp = log(((1+c2taup)/c2thetap*(c2yss)/(1-c2xip*c2beta)));
c2pid = c2pistar;
c2pstar = log(1);
c2pidbar = c2pistar;

c1yd = log(c1yss);
c2yd = log(c2yss);
c1yd_pot = log(c1yss);
c2yd_pot = log(c2yss);
c1deltad = 0;
c2deltad = 0;
c1ygap = 1;


c1logdeltagdp = c1logdeltagdpss;
c2logdeltagdp = c2logdeltagdpss;
c1rngdpy = c1rngdpyss;
deltalog_gdp_us_obs  =  (c1mugdpss - 1);
deltalog_gdp_for_obs  =  (c2mugdpss - 1);

dpcexfe_log_us_obs  =  log(c1pistar); 

rer_log_us_obs  = log(c1rerss); 

dcomp_log_us_obs  = log(c1pistar*c1grmuzss); 

fedfunds_us_obs  = c1rsss;


fixi_share_us_obs = ((exp(c1rpipd) * exp(c1i)) / exp(c1yd)) / c1rngdpy;    
pce_share_us_obs =  (( (exp(c1rpcpd) * exp(c1c)) / exp(c1yd)) /c1rngdpy ) ;

exp_share_us_obs = ( exp(c1x) / exp(c1yd) ) / c1rngdpy  ; 

imp_share_us_obs = ( exp(c1m) / exp(c1yd) ) / c1rngdpy; 

oilimp_share_us_obs = exp(c1rpopd)  * (  exp(c1o) / exp(c1y) - exp(c1yo) / exp(c1y)  ) * (1 / c1rngdpy );
oilprod_us_deltalog_obs = ( c1grmuoss  - 1 );
oilprod_for_deltalog_obs = ( c2grmuoss  - 1 );
delta_logoilprice_us_obs = ( c1grmuzoss * c1mugdpss  -  c1grmuzss ) / c1grmuzss ; 



ys =[c1welf
c2welf
c1ygap
c1lambdaq
c1q
c1i
c1k
c1c
c1cne
c1cd
c1mc
c1oc
c1id
c1rpipd
c1mi
c1v
c1y
c1rk
c1l
c1o
c1rrs
c1m
c1tbal
c1gtbal
c1g
c1shockgy
c1op
c1os
c1ow
c1rpopd
c1oi
c1zc
c1zclag
c1zi
c1yo
c1lagyo
c1dyo 
c1muoc
c1lagmuoc
c1muc
c1omegacm
c1lagomegacm
c1omegaim
c2lambdaq
c2q
c2i
c2k
c2c
c2cne
c2cd
c2mc
c2oc
c2id
c2rpipd
c2mi
c2v
c2y
c2rk
c2l
c2o
c2rrs
c2m
c2tbal
c2gtbal
c2g
c2shockgy
c2op
c2os
c2ow
c2rpopd
c2oi
c2zc
c2zclag
c2zi
c2yo
c2lagyo
c2dyo
c2muoc
c2lagmuoc
c2muc
c2omegacm
c2lagomegacm
c2omegaim
c1rer
c2rpwopd
c1rpwopd
c1b
c1rpmcpd
c2rpmcpd
c1z
c2z
c1zw
c1zwlag
c1muo
c2muo
c1muow
c1muowlag
c1rpmipd
c1x
c2rpmipd
c2x
c2w
c1w
c2oy
c1oy
c2thetapvar
c1thetapvar
c2wdes
c1wdes
c2thetawvar
c1thetawvar
c1lambdaq_pot
c1q_pot
c1i_pot
c1k_pot
c1c_pot
c1cne_pot
c1cd_pot
c1mc_pot
c1oc_pot
c1id_pot
c1rpipd_pot
c1mi_pot
c1v_pot
c1y_pot
c1rk_pot
c1l_pot
c1o_pot
c1rrs_pot
c1m_pot
c1tbal_pot
c1g_pot
c1op_pot
c1os_pot
c1ow_pot
c1rpopd_pot
c1oi_pot
c2lambdaq_pot
c2q_pot
c2i_pot
c2k_pot
c2c_pot
c2cne_pot
c2cd_pot
c2mc_pot
c2oc_pot
c2id_pot
c2rpipd_pot
c2mi_pot
c2v_pot
c2y_pot
c2rk_pot
c2l_pot
c2o_pot
c2rrs_pot
c2m_pot
c2tbal_pot
c2g_pot
c2op_pot
c2os_pot
c2ow_pot
c2rpopd_pot
c2oi_pot
c1rer_pot
c2rpwopd_pot
c1rpwopd_pot
c1b_pot
c1rpmcpd_pot
c2rpmcpd_pot
c1rpmipd_pot
c1x_pot
c2rpmipd_pot
c2x_pot
c2w_pot
c1w_pot
c2oy_pot
c1oy_pot
c2rmcpd_pot
c1rmcpd_pot
c2wdes_pot
c1wdes_pot
c2rpcpd_pot
c1rpcpd_pot
c2rmcpd
c1rmcpd
c2rpcpd
c1rpcpd
c2dpd
c1dpd
c2dcore
c1dcore
c1dhead
c1dpwo
c2rpnepd
c1rpnepd
c1rs
c2rs
c1pitar
c2pitar
c1hw
c1gw
c1wstar
c1omegabar
c1omega
c2hw
c2gw
c2wstar
c2omegabar
c2omega
c1hp
c1gp
c1pstar
c1pidbar
c1pid
c1deltad
c2hp
c2gp
c2pstar
c2pidbar
c2pid
c2deltad
c1yd
c2yd
c1yd_pot
c2yd_pot
c1logdeltagdp
c2logdeltagdp
c1rngdpy
deltalog_gdp_us_obs 
deltalog_gdp_for_obs 
dpcexfe_log_us_obs  
rer_log_us_obs
dcomp_log_us_obs  
fedfunds_us_obs 
fixi_share_us_obs 
pce_share_us_obs 
exp_share_us_obs 
imp_share_us_obs 
oilimp_share_us_obs
oilprod_us_deltalog_obs
oilprod_for_deltalog_obs 
delta_logoilprice_us_obs
];


